/*
 *  Copyright (C) 2007 Luca Deri <deri@ntop.org>
 *  Copyright 2007 Tilera Corporation. All Rights Reserved.
 *
 *  			 http://www.ntop.org/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "tilera_include.h"

#define malloc(a)           malloc_shared(a)
#define calloc(a,b)         calloc_shared(a, b)

#if 0
#define pthread_spin_init   pthread_mutex_init
#define pthread_spinlock_t  pthread_mutex_t
#define pthread_spin_lock   pthread_mutex_lock
#define pthread_spin_unlock pthread_mutex_unlock
#endif

#define pthread_mutex_t      ilibMutex
#define pthread_spinlock_t   pthread_mutex_t

#define pthread_mutex_init(a,b) ilib_mutex_init(a)
#define pthread_mutex_destroy   ilib_mutex_destroy    
#define pthread_mutex_lock      ilib_mutex_lock
#define pthread_mutex_unlock    ilib_mutex_unlock
#define pthread_spin_lock       pthread_mutex_lock
#define pthread_spin_unlock     pthread_mutex_unlock
#define pthread_create          _pthread_create
#define pthread_attr_t          ilibGroup
#define pthread_t               ilibGroup

extern int _pthread_create(pthread_t *thread,
			   const pthread_attr_t *restrict attr,
			   void *(*start_routine)(void*), void *arg);
